I cannot open my database in 1.3.1 version !

15 posts
I cannot open my database in 1.3.1 version !

Feanx
New MMEX User

Posts: 4
Joined: Sat Feb 28, 2015 4:52 am
Hi !
I've upgraded to 1.3.1 version.
I have 2 databases.
One is OK
The other cannot be opened with the log file I join here :
log.txt
(4.36 KiB) Downloaded 18 times
I have 2 computers with 1.3.1 running, with se same result  : so this database is not compatible with 1.3.1.
I have downgraded to 1.2.7 and everything is OK, the database is opened and MMEx works well...
What is wrong with this db ? (sorry I cannot share the db)

PS : Multiple instances are no longer supported in 1.3.1 !!! I cannot work with 2 databases if I cannot open both at the same time !
I downgrade my both computers to 1.2.7 until everything is fine !
Attachments
log.txt
(4.36 KiB) Downloaded 17 times
Re: I cannot open my database in 1.3.1 version !

apeman
New MMEX User

Posts: 2
Joined: Thu Feb 23, 2017 8:52 am
Exactly the same thing has happened to me. When I try to open my database I get the legend:

ACCOUNTLIST_V1: Exception SQL logic error or missing database(1): no such column:STATEMENTLOCKED

So I shall have to roll back to the previous version, but any ideas anyone?
Re: I cannot open my database in 1.3.1 version !

Feanx
New MMEX User

Posts: 4
Joined: Sat Feb 28, 2015 4:52 am
apeman wrote:Exactly the same thing has happened to me. When I try to open my database I get the legend:

ACCOUNTLIST_V1: Exception SQL logic error or missing database(1): no such column:STATEMENTLOCKED

So I shall have to roll back to the previous version, but any ideas anyone?
For me, downgrading to the previous version has worked.
The database is not corrupted, it's just that MMEx 1.3.1 cannot read something in it...
Re: I cannot open my database in 1.3.1 version !
User avatar
GabrieleV
MMEX Developer

Posts: 259
Joined: Wed Apr 09, 2014 1:45 pm
Location: Italy
Re: I cannot open my database in 1.3.1 version !

Feanx
New MMEX User

Posts: 4
Joined: Sat Feb 28, 2015 4:52 am
Thank you so much !
Re: I cannot open my database in 1.3.1 version !

jandry
New MMEX User

Posts: 6
Joined: Thu Nov 10, 2016 3:22 pm
It seems I have a similar issue.
I have my db en google drive, I was able to open it with Android and 1.2.7 version.
I just upgraded to 1.3.1 on my Windows, it's crashing when opening my db. (32bit or 64 bit version). Crash has not same behaviour. I have no error on screen and crash report also crash.

I don't find a download link for 1.2.7 to revert (I try 1.3.0 alpha and I got same issue)

How can I solve the issue ?
Re: I cannot open my database in 1.3.1 version !

jandry
New MMEX User

Posts: 6
Joined: Thu Nov 10, 2016 3:22 pm
I found the 1.2.7, and I can reopen my database
Re: I cannot open my database in 1.3.1 version !

apeman
New MMEX User

Posts: 2
Joined: Thu Feb 23, 2017 8:52 am
Thanks GabrieleV, I applied the patch and all well and good again using 1.31. Again, many thanks for the pointer.
Re: I cannot open my database in 1.3.1 version !

gropasis2
New MMEX User

Posts: 2
Joined: Mon Feb 27, 2017 3:13 pm
thanx the pach worked 
Re: I cannot open my database in 1.3.1 version !

jandry
New MMEX User

Posts: 6
Joined: Thu Nov 10, 2016 3:22 pm
gropasis2 wrote:thanx the pach worked 
I don't understand how to apply the patch... In 1.3.1 I can run the patch on a newly created db but not on my 1.2.7 db because it crashes the application when I start it :(


Has somebody a solution on this
Who is online

Users browsing this forum: Bing [Bot] and 1 guest

cron